DS_DEALLOC_PACKET_SUBDATA(3)

FUNCTION
ds_dealloc_packet_subdata - Recursively deallocate packet data.

SYNOPSIS
#include <karma_ds.h>

void ds_dealloc_packet_subdata

(CONST packet_desc *pack_desc, char *packet)

DESCRIPTION
This routine will recursively deallocate all memory associated with the storage of sub-arrays or linked lists. The packet itself is not deallocated. The routine is quite robust, deallocating in the correct order and cleanly bypassing missing sections in the hierarchy.

pack_desc
    The descriptor for the packet.

data
    The data for the packet.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/